# configure environment to install controller from .deb and dev repo
class space_controller::init_services (
    $charset="UTF-8",
    $lang="en_US.UTF-8" ) {

  $space_linstor_ensure = lookup('space_controller::linstor_ensure')

  file { "/lib/systemd/system/controller-supervisor.service":
    source  => [
            "puppet:///modules/${module_name}/controller-supervisor.service",
    ],
    owner => 'root',
    group => 'root',
    mode  => '0644',
  }
  file { "/lib/systemd/system/gunicorn-django.service":
    source  => [
            "puppet:///modules/${module_name}/gunicorn-django.service",
    ],
    owner => 'root',
    group => 'root',
    mode  => '0644',
  }
  file { "/lib/systemd/system/gunicorn-proxy.service":
    source  => [
            "puppet:///modules/${module_name}/gunicorn-proxy.service",
    ],
    owner => 'root',
    group => 'root',
    mode  => '0644',
  }
  file { "/lib/systemd/system/gunicorn-uploader.service":
    source  => [
            "puppet:///modules/${module_name}/gunicorn-uploader.service",
    ],
    owner => 'root',
    group => 'root',
    mode  => '0644',
  }
  file { "/lib/systemd/system/gunicorn-logger.service":
    source  => [
            "puppet:///modules/${module_name}/gunicorn-logger.service",
    ],
    owner => 'root',
    group => 'root',
    mode  => '0644',
  }
  file { "/lib/systemd/system/gunicorn-apiclient.service":
    source  => [
            "puppet:///modules/${module_name}/gunicorn-apiclient.service",
    ],
    owner => 'root',
    group => 'root',
    mode  => '0644',
  }
  file { "/etc/conf.d/gunicorn_log.conf":
    source  => [
            "puppet:///modules/${module_name}/gunicorn_log.conf",
    ],
    owner => 'root',
    group => 'root',
    mode  => '0644',
  }

 service { 'gunicorn-django':
    ensure   => 'running',
    enable   => true,
    provider => systemd,
  }
  service { 'daphne-django':
    ensure   => 'running',
    enable   => true,
    provider => systemd,
  }
 service { 'gunicorn-proxy':
    ensure   => 'running',
    enable   => true,
    provider => systemd,
  }
 service { 'gunicorn-uploader':
    ensure   => 'running',
    enable   => true,
    provider => systemd,
  }
 service { 'controller-supervisor':
    ensure   => 'running',
    enable   => true,
    provider => systemd,
  }
 service { 'gunicorn-logger':
    ensure   => 'running',
    enable   => true,
    provider => systemd,
  }
 service { 'linstor-controller':
    ensure   => $space_linstor_ensure,
    enable   => $space_linstor_ensure,
    provider => systemd,
  }

  # TEST4
  file { "/var/lib/ecp-veil/tests/ctr_init_test4.sh":
    ensure  => present,
    content => template("${module_name}/ctr_init_test4.sh.erb"),
    mode    => '0550',
  }

}
