# configure environment to install controller from .deb and dev repo
class space_controller::users {

  $veil_global_group = lookup('veil_global_group')
  $space_controller_user = lookup('space_controller_user')

  group { $veil_global_group:
    ensure     => present,
    gid        => 10000,
    forcelocal => true,
  } ->
  group { $space_controller_user:
    ensure     => present,
    gid        => 930,
    forcelocal => true,
  } ->
  user { $space_controller_user:
    ensure     => 'present',
    uid        => "930",
    forcelocal => true,
    groups     => [ "$veil_global_group" ],
    password   => '*',
    shell      => '/bin/bash',
    home       => '/var/lib/ecp-veil/.users/veil-controller',
    require    => Group["veil-controller"],
  }
}
