# configure environment to install node from .deb and dev repo
class space_node::dlm () {

  $veil_dlm_ensure = lookup('space_node::dlm_ensure')

  exec { "watchdog_file_not_exist":
    command => "/usr/local/sbin/veil-watchdog",
    onlyif  => "test ! -f '/dev/watchdog'",
  }
  file { "/etc/dlm":
    owner  => 'root',
    group  => 'root',
    mode   => '0644',
    ensure => directory,
  }
  file { "/var/lib/pacemaker":
    owner  => 'root',
    group  => 'root',
    mode   => '0755',
    ensure => directory,
  }
  file { "/var/lib/pacemaker/cores":
    owner  => 'root',
    group  => 'root',
    mode   => '0755',
    ensure => directory,
  }
#  service { 'sbd_remote.service':
#    enable => false,
#    ensure => false,
#  }
  file { "/etc/sysconfig":
    ensure => directory,
  }
  file { "/etc/sysconfig/sbd.default":
    source  => [ "puppet:///modules/${module_name}/sbd.conf" ],
    owner => root,
    group => root,
    mode => '0755',
  }
  exec { "sbd_conf_is_not_exist":
    command => "cp /etc/sysconfig/sbd.default /etc/sysconfig/sbd",
    onlyif  => "test ! -f /etc/sysconfig/sbd",
  }

  if $veil_dlm_ensure == true {

    exec { "sbd_pid_is_not_exist":
      command => "touch /run/sbd.pid",
      onlyif  => "test ! -f /run/sbd.pid",
    } ->
    service { 'dlm.service':
      provider => systemd,
      ensure   => true,
      enable   => true,
    }
#    service { 'sbd.service':
#      enable => true,
#    }
  } else {
    service { 'sbd.service':
      provider => systemd,
      enable   => false,
    }
  }
#  service { 'corosync.service':
#    enable => true,
#    ensure => $veil_dlm_ensure,
#  }
}
