# configure environment to install controller from .deb and dev repo
class space_utils(
  Hash[String,Hash] $packages    = {},
  Hash[String,Hash] $files       = {},
  Optional[Tuple]   $extra_facts = {},
) {

  create_resources(package, $packages)

  $veil_global_group = lookup('veil_global_group')
  $veil_controller_user = lookup('veil_controller_user')

  $file_defaults = {
     owner => $veil_controller_user,
     group => $veil_global_group,
     mode  => '0775',
  }

  create_resources(file, $files, $file_defaults)

  space_facts::addfacter { $name:
    extra_facts => $extra_facts,
  }

  service {'auditd.service':
    ensure   => false,
    enable   => false,
    provider => systemd
  }
  service {'systemd-journald-audit.socket':
    ensure   => false,
    enable   => 'mask',
    provider => systemd
  }
}
