# Change log

All notable changes to this project will be documented in this file. The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/) and this project adheres to [Semantic Versioning](http://semver.org).

## [v5.0.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v5.0.0) (2023-11-16)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v4.1.0...v5.0.0)

### Merged pull requests:

- Notify sshd when conf.d files change [\#419](https://github.com/ghoneycutt/puppet-module-ssh/pull/419) ([treydock](https://github.com/treydock))
- Test stdlib 9.x with regular unit tests [\#418](https://github.com/ghoneycutt/puppet-module-ssh/pull/418) ([treydock](https://github.com/treydock))
- Support Puppet 8 and stdlib 9.x [\#417](https://github.com/ghoneycutt/puppet-module-ssh/pull/417) ([treydock](https://github.com/treydock))
- \(docs\) Fix ChallengeResponseAuthentication Option [\#411](https://github.com/ghoneycutt/puppet-module-ssh/pull/411) ([jplindquist](https://github.com/jplindquist))
- Update documentation to use correct link to man page [\#410](https://github.com/ghoneycutt/puppet-module-ssh/pull/410) ([arjenz](https://github.com/arjenz))
- Fix for multiple HostCertificate files [\#405](https://github.com/ghoneycutt/puppet-module-ssh/pull/405) ([Phil-Friderici](https://github.com/Phil-Friderici))
- Fix for multiple IdentityFile files [\#404](https://github.com/ghoneycutt/puppet-module-ssh/pull/404) ([Phil-Friderici](https://github.com/Phil-Friderici))
- Add $package\_ensure to package resources and option to manage packages [\#403](https://github.com/ghoneycutt/puppet-module-ssh/pull/403) ([Phil-Friderici](https://github.com/Phil-Friderici))

## [v4.1.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v4.1.0) (2023-04-06)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v4.0.0...v4.1.0)

### Merged pull requests:

- OS support updates and manage config.d files [\#402](https://github.com/ghoneycutt/puppet-module-ssh/pull/402) ([treydock](https://github.com/treydock))

## [v4.0.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v4.0.0) (2022-11-28)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.62.0...v4.0.0)

### Merged pull requests:

- V4 again take 2 [\#390](https://github.com/ghoneycutt/puppet-module-ssh/pull/390) ([treydock](https://github.com/treydock))
- Allow not exporting SSH keys [\#367](https://github.com/ghoneycutt/puppet-module-ssh/pull/367) ([mattock](https://github.com/mattock))
- Added sles15 resolved issue \#320 [\#331](https://github.com/ghoneycutt/puppet-module-ssh/pull/331) ([FcoCalero](https://github.com/FcoCalero))

## [v3.62.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.62.0) (2020-09-07)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.61.0...v3.62.0)

### Merged pull requests:

- Add Ubuntu 20.04 support [\#343](https://github.com/ghoneycutt/puppet-module-ssh/pull/343) ([mergwyn](https://github.com/mergwyn))
- Add debian10 [\#341](https://github.com/ghoneycutt/puppet-module-ssh/pull/341) ([ghoneycutt](https://github.com/ghoneycutt))
- Updated Module Dependencies [\#339](https://github.com/ghoneycutt/puppet-module-ssh/pull/339) ([EricSeiffert](https://github.com/EricSeiffert))
- Explicitly unset the ipaddress6 fact [\#335](https://github.com/ghoneycutt/puppet-module-ssh/pull/335) ([vStone](https://github.com/vStone))

## [v3.61.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.61.0) (2019-05-01)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.60.1...v3.61.0)

### Merged pull requests:

- Add support for Ubuntu 18.04 LTS [\#312](https://github.com/ghoneycutt/puppet-module-ssh/pull/312) ([hdep](https://github.com/hdep))
- Add support for Debian8 [\#311](https://github.com/ghoneycutt/puppet-module-ssh/pull/311) ([hdep](https://github.com/hdep))

## [v3.60.1](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.60.1) (2019-04-29)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.60.0...v3.60.1)

## [v3.60.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.60.0) (2019-04-29)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.59.1...v3.60.0)

### Merged pull requests:

- Add for the possibility of an IPv6 address [\#310](https://github.com/ghoneycutt/puppet-module-ssh/pull/310) ([bjvrielink](https://github.com/bjvrielink))
- Add support for debian9 [\#309](https://github.com/ghoneycutt/puppet-module-ssh/pull/309) ([hdep](https://github.com/hdep))

## [v3.59.1](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.59.1) (2019-02-28)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.59.0...v3.59.1)

### Merged pull requests:

- Make sure Match-configuration is at the bottom [\#305](https://github.com/ghoneycutt/puppet-module-ssh/pull/305) ([ghoneycutt](https://github.com/ghoneycutt))
- Fix spec tests by pinning version of Bundler [\#304](https://github.com/ghoneycutt/puppet-module-ssh/pull/304) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.59.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.59.0) (2019-01-04)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.58.0...v3.59.0)

### Merged pull requests:

- Add support for Puppet 6 [\#298](https://github.com/ghoneycutt/puppet-module-ssh/pull/298) ([Phil-Friderici](https://github.com/Phil-Friderici))
- Allow puppetlabs-concat \< 6.0.0 [\#296](https://github.com/ghoneycutt/puppet-module-ssh/pull/296) ([djschaap](https://github.com/djschaap))

## [v3.58.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.58.0) (2018-10-08)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.57.1...v3.58.0)

### Merged pull requests:

- Add RevokedKeys option to sshd\_config [\#293](https://github.com/ghoneycutt/puppet-module-ssh/pull/293) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.57.1](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.57.1) (2018-07-27)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.57.0...v3.57.1)

### Merged pull requests:

- Disable ServerkeyBits on RHEL 7.4 and later [\#278](https://github.com/ghoneycutt/puppet-module-ssh/pull/278) ([tuxmea](https://github.com/tuxmea))
- Fixing an inaccuracy within README.md [\#266](https://github.com/ghoneycutt/puppet-module-ssh/pull/266) ([meowomancer](https://github.com/meowomancer))

## [v3.57.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.57.0) (2017-12-11)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.56.1...v3.57.0)

### Merged pull requests:

- Add support for AllowAgentForwarding option in sshd\_config [\#258](https://github.com/ghoneycutt/puppet-module-ssh/pull/258) ([ghoneycutt](https://github.com/ghoneycutt))
- Add sshd\_config\_authenticationmethods parameter [\#257](https://github.com/ghoneycutt/puppet-module-ssh/pull/257) ([baurmatt](https://github.com/baurmatt))

## [v3.56.1](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.56.1) (2017-11-20)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.56.0...v3.56.1)

### Merged pull requests:

- \(ci\) Stop testing on minor releases [\#253](https://github.com/ghoneycutt/puppet-module-ssh/pull/253) ([ghoneycutt](https://github.com/ghoneycutt))
- \(GH-251\) Fix regex for sshd\_config\_maxstartups [\#252](https://github.com/ghoneycutt/puppet-module-ssh/pull/252) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.56.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.56.0) (2017-10-27)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.55.0...v3.56.0)

### Merged pull requests:

- Update concat dependency to be compatible with concat 3.x and 4.x [\#248](https://github.com/ghoneycutt/puppet-module-ssh/pull/248) ([dhollinger](https://github.com/dhollinger))

## [v3.55.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.55.0) (2017-09-26)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.54.0...v3.55.0)

### Merged pull requests:

- Add ssh::config\_entry defined type \(with ssh::config\_entries and tests\) [\#246](https://github.com/ghoneycutt/puppet-module-ssh/pull/246) ([Phil-Friderici](https://github.com/Phil-Friderici))
- Add ssh::config\_entry defined type [\#245](https://github.com/ghoneycutt/puppet-module-ssh/pull/245) ([jeffmccune](https://github.com/jeffmccune))

## [v3.54.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.54.0) (2017-07-24)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.53.0...v3.54.0)

### Merged pull requests:

- Add more SSH CA related fixes and paramaters [\#240](https://github.com/ghoneycutt/puppet-module-ssh/pull/240) ([dhollinger](https://github.com/dhollinger))

## [v3.53.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.53.0) (2017-07-24)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.52.0...v3.53.0)

### Merged pull requests:

- Fix testing [\#241](https://github.com/ghoneycutt/puppet-module-ssh/pull/241) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.52.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.52.0) (2017-05-26)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.51.1...v3.52.0)

### Merged pull requests:

- Add PrintLastLog, UsePrivilegeSeparation and Compression params [\#225](https://github.com/ghoneycutt/puppet-module-ssh/pull/225) ([mears148](https://github.com/mears148))

## [v3.51.1](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.51.1) (2017-05-19)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.51.0...v3.51.1)

### Merged pull requests:

- Make sure the ssh config dir is present before trying to define the known host file. [\#215](https://github.com/ghoneycutt/puppet-module-ssh/pull/215) ([Arakmar](https://github.com/Arakmar))

## [v3.51.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.51.0) (2017-05-17)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.50.0...v3.51.0)

### Merged pull requests:

- 223 new params [\#224](https://github.com/ghoneycutt/puppet-module-ssh/pull/224) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.50.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.50.0) (2017-05-08)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.49.1...v3.50.0)

### Merged pull requests:

- Add support for PubkeyAcceptedKeyTypes option to sshd\_config [\#218](https://github.com/ghoneycutt/puppet-module-ssh/pull/218) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.49.1](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.49.1) (2017-02-27)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.49.0...v3.49.1)

### Merged pull requests:

- Fix parameters not compatible with Solaris [\#213](https://github.com/ghoneycutt/puppet-module-ssh/pull/213) ([Phil-Friderici](https://github.com/Phil-Friderici))
- Support Puppet \>= 4.9 [\#212](https://github.com/ghoneycutt/puppet-module-ssh/pull/212) ([Phil-Friderici](https://github.com/Phil-Friderici))
- Remove join from validate\_absolute\_path for sshd\_config\_hostkey [\#201](https://github.com/ghoneycutt/puppet-module-ssh/pull/201) ([bc-bjoern](https://github.com/bc-bjoern))
- Fix ruby dependencies [\#200](https://github.com/ghoneycutt/puppet-module-ssh/pull/200) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.49.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.49.0) (2016-10-25)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.48.0...v3.49.0)

### Merged pull requests:

- Expose PermitTunnel from sshd\_config [\#186](https://github.com/ghoneycutt/puppet-module-ssh/pull/186) ([andrei693](https://github.com/andrei693))

## [v3.48.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.48.0) (2016-10-21)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.47.0...v3.48.0)

### Merged pull requests:

- Ssh config proxy command [\#198](https://github.com/ghoneycutt/puppet-module-ssh/pull/198) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.47.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.47.0) (2016-10-19)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.46.0...v3.47.0)

### Merged pull requests:

- adding support for KexAlgorithms [\#195](https://github.com/ghoneycutt/puppet-module-ssh/pull/195) ([Asteao](https://github.com/Asteao))

## [v3.46.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.46.0) (2016-10-04)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.45.0...v3.46.0)

### Merged pull requests:

- Add configurable param X11UseLocalhost to sshd\_config [\#193](https://github.com/ghoneycutt/puppet-module-ssh/pull/193) ([boandersson](https://github.com/boandersson))

## [v3.45.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.45.0) (2016-08-30)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.44.0...v3.45.0)

### Merged pull requests:

- Ubuntu1604 [\#189](https://github.com/ghoneycutt/puppet-module-ssh/pull/189) ([Phil-Friderici](https://github.com/Phil-Friderici))
- Ubuntu1604 [\#188](https://github.com/ghoneycutt/puppet-module-ssh/pull/188) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.44.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.44.0) (2016-08-29)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.43.0...v3.44.0)

### Merged pull requests:

- Expose TCPKeepAlive from sshd\_config [\#181](https://github.com/ghoneycutt/puppet-module-ssh/pull/181) ([andrei693](https://github.com/andrei693))

## [v3.43.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.43.0) (2016-08-09)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.42.0...v3.43.0)

### Merged pull requests:

- Support Ruby v2.3.1 [\#184](https://github.com/ghoneycutt/puppet-module-ssh/pull/184) ([ghoneycutt](https://github.com/ghoneycutt))
- Allow puppet-lint v1 so community plugins work [\#182](https://github.com/ghoneycutt/puppet-module-ssh/pull/182) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.42.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.42.0) (2016-06-24)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.41.1...v3.42.0)

### Merged pull requests:

- Adding two new options for sshd\_config PermitEmptyPasswords and PermitUserEnvironment [\#178](https://github.com/ghoneycutt/puppet-module-ssh/pull/178) ([jthiesfeld](https://github.com/jthiesfeld))

## [v3.41.1](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.41.1) (2016-06-20)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.41.0...v3.41.1)

## [v3.41.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.41.0) (2016-06-20)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.40.0...v3.41.0)

### Merged pull requests:

- Add support for UserKnownHostsFile and add multiple files support for GlobalKnownHostsFile [\#177](https://github.com/ghoneycutt/puppet-module-ssh/pull/177) ([ghoneycutt](https://github.com/ghoneycutt))
- Add support for UserKnownHostsFile and add multiple files support for GlobalKnownHostsFile [\#176](https://github.com/ghoneycutt/puppet-module-ssh/pull/176) ([sergiik](https://github.com/sergiik))

## [v3.40.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.40.0) (2016-06-09)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.39.0...v3.40.0)

### Merged pull requests:

- Change sshd\_config\_port to support multiple port numbers [\#162](https://github.com/ghoneycutt/puppet-module-ssh/pull/162) ([andrei693](https://github.com/andrei693))

## [v3.39.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.39.0) (2016-06-08)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.38.0...v3.39.0)

### Merged pull requests:

- allow ecdsa-sha2-nistp256 hostkeys,  add host\_aliases attribute to sshkey resource, add support for PubkeyAuthentication [\#173](https://github.com/ghoneycutt/puppet-module-ssh/pull/173) ([florianfa](https://github.com/florianfa))
- Remove needless file [\#172](https://github.com/ghoneycutt/puppet-module-ssh/pull/172) ([Phil-Friderici](https://github.com/Phil-Friderici))

## [v3.38.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.38.0) (2016-06-06)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.37.1...v3.38.0)

### Merged pull requests:

- Prep v3.80.0 [\#171](https://github.com/ghoneycutt/puppet-module-ssh/pull/171) ([ghoneycutt](https://github.com/ghoneycutt))
- Add param to manage MaxAuthTries in sshd\_config [\#170](https://github.com/ghoneycutt/puppet-module-ssh/pull/170) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.37.1](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.37.1) (2016-06-06)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.37.0...v3.37.1)

### Merged pull requests:

- Fix Solaris ssh issue - AddressFamily not supported [\#161](https://github.com/ghoneycutt/puppet-module-ssh/pull/161) ([nbentoumi](https://github.com/nbentoumi))

## [v3.37.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.37.0) (2016-06-04)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.36.0...v3.37.0)

### Merged pull requests:

- Add ssh params [\#168](https://github.com/ghoneycutt/puppet-module-ssh/pull/168) ([ghoneycutt](https://github.com/ghoneycutt))
- Specs for ssh\* facts [\#154](https://github.com/ghoneycutt/puppet-module-ssh/pull/154) ([Phil-Friderici](https://github.com/Phil-Friderici))

## [v3.36.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.36.0) (2016-04-04)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.35.0...v3.36.0)

### Merged pull requests:

- UseRoaming on supported versions only [\#157](https://github.com/ghoneycutt/puppet-module-ssh/pull/157) ([anders-larsson](https://github.com/anders-larsson))

## [v3.35.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.35.0) (2016-01-29)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.34.0...v3.35.0)

### Merged pull requests:

- WIP - Add facts for ssh version [\#133](https://github.com/ghoneycutt/puppet-module-ssh/pull/133) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.34.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.34.0) (2016-01-17)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.33.1...v3.34.0)

### Merged pull requests:

- Use roaming [\#149](https://github.com/ghoneycutt/puppet-module-ssh/pull/149) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.33.1](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.33.1) (2015-12-16)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.33.0...v3.33.1)

### Merged pull requests:

- Support puppet v430 [\#143](https://github.com/ghoneycutt/puppet-module-ssh/pull/143) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.33.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.33.0) (2015-12-10)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.32.0...v3.33.0)

### Merged pull requests:

- Sshd addressfamily [\#142](https://github.com/ghoneycutt/puppet-module-ssh/pull/142) ([ghoneycutt](https://github.com/ghoneycutt))
- Change formatting in README to be explicit about example types [\#140](https://github.com/ghoneycutt/puppet-module-ssh/pull/140) ([ghoneycutt](https://github.com/ghoneycutt))
- Update README to meet criteria for Puppet Labs Approved status [\#139](https://github.com/ghoneycutt/puppet-module-ssh/pull/139) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.32.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.32.0) (2015-10-15)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.31.0...v3.32.0)

### Merged pull requests:

- Add a parameter to allow disabling management of the ssh service [\#134](https://github.com/ghoneycutt/puppet-module-ssh/pull/134) ([dfairhurst](https://github.com/dfairhurst))

## [v3.31.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.31.0) (2015-10-07)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.30.0...v3.31.0)

### Merged pull requests:

- add default SFTP subsystem for SLES12 [\#132](https://github.com/ghoneycutt/puppet-module-ssh/pull/132) ([Phil-Friderici](https://github.com/Phil-Friderici))

## [v3.30.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.30.0) (2015-09-03)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.29.1...v3.30.0)

### Merged pull requests:

- Add parameter for KerberosAuthentication option to sshd [\#127](https://github.com/ghoneycutt/puppet-module-ssh/pull/127) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.29.1](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.29.1) (2015-08-17)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.29.0...v3.29.1)

### Merged pull requests:

- fix for hiera\_array\(\) always returning an empty array [\#121](https://github.com/ghoneycutt/puppet-module-ssh/pull/121) ([Phil-Friderici](https://github.com/Phil-Friderici))

## [v3.29.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.29.0) (2015-08-05)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.28.0...v3.29.0)

### Merged pull requests:

- Support Puppetv4 and v3 with future parser [\#120](https://github.com/ghoneycutt/puppet-module-ssh/pull/120) ([ghoneycutt](https://github.com/ghoneycutt))
- Update README for HostbasedAuthentication and small styling fixes [\#117](https://github.com/ghoneycutt/puppet-module-ssh/pull/117) ([kTitan](https://github.com/kTitan))
- Parameterize IgnoreUserKnownHosts & IgnoreRhosts [\#116](https://github.com/ghoneycutt/puppet-module-ssh/pull/116) ([kTitan](https://github.com/kTitan))

## [v3.28.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.28.0) (2015-06-01)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.27.2...v3.28.0)

### Merged pull requests:

- Add parameter for HostbasedAuthentication option in sshd\_config [\#115](https://github.com/ghoneycutt/puppet-module-ssh/pull/115) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.27.2](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.27.2) (2015-05-31)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.27.1...v3.27.2)

### Merged pull requests:

- Fix style issues [\#114](https://github.com/ghoneycutt/puppet-module-ssh/pull/114) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.27.1](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.27.1) (2015-05-07)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.27.0...v3.27.1)

### Merged pull requests:

- Remove if statement for sshd\_gssapiauthentication. [\#111](https://github.com/ghoneycutt/puppet-module-ssh/pull/111) ([kylefu8](https://github.com/kylefu8))

## [v3.27.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.27.0) (2015-05-07)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.26.0...v3.27.0)

### Merged pull requests:

- Parameterize GSSAPIAuthentication in ssh\_config. [\#109](https://github.com/ghoneycutt/puppet-module-ssh/pull/109) ([kylefu8](https://github.com/kylefu8))

## [v3.26.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.26.0) (2015-04-13)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.25.0...v3.26.0)

### Merged pull requests:

- Add parameters for AuthorizedKeysCommand and AuthorizedKeysCommandUser [\#108](https://github.com/ghoneycutt/puppet-module-ssh/pull/108) ([ghoneycutt](https://github.com/ghoneycutt))
- move empty line into conditional block [\#107](https://github.com/ghoneycutt/puppet-module-ssh/pull/107) ([Phil-Friderici](https://github.com/Phil-Friderici))

## [v3.25.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.25.0) (2015-04-08)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.24.0...v3.25.0)

### Merged pull requests:

- Sftp settings [\#106](https://github.com/ghoneycutt/puppet-module-ssh/pull/106) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.24.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.24.0) (2014-11-17)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.23.1...v3.24.0)

### Merged pull requests:

- Known hosts [\#101](https://github.com/ghoneycutt/puppet-module-ssh/pull/101) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.23.1](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.23.1) (2014-11-14)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.23.0...v3.23.1)

### Merged pull requests:

- Support versions of Puppet Enterprise greater than 3.3 [\#100](https://github.com/ghoneycutt/puppet-module-ssh/pull/100) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.23.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.23.0) (2014-11-14)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.22.0...v3.23.0)

### Merged pull requests:

- Maxstartups and maxsessions [\#99](https://github.com/ghoneycutt/puppet-module-ssh/pull/99) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.22.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.22.0) (2014-10-28)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.21.0...v3.22.0)

### Merged pull requests:

- Add sshd listen address [\#94](https://github.com/ghoneycutt/puppet-module-ssh/pull/94) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.21.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.21.0) (2014-10-21)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.20.0...v3.21.0)

### Merged pull requests:

- Style fix - no functional changes [\#91](https://github.com/ghoneycutt/puppet-module-ssh/pull/91) ([ghoneycutt](https://github.com/ghoneycutt))
- Add support for changing HostKey option [\#85](https://github.com/ghoneycutt/puppet-module-ssh/pull/85) ([diddi-](https://github.com/diddi-))

## [v3.20.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.20.0) (2014-10-15)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.19.1...v3.20.0)

### Merged pull requests:

- El7 [\#90](https://github.com/ghoneycutt/puppet-module-ssh/pull/90) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.19.1](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.19.1) (2014-09-24)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.19.0...v3.19.1)

### Merged pull requests:

- Release v3.19.1 - Bugfix: default GSSAPIDelegateCredentials to undef [\#89](https://github.com/ghoneycutt/puppet-module-ssh/pull/89) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.19.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.19.0) (2014-09-23)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.18.0...v3.19.0)

### Merged pull requests:

- Add support for GSSAPIDelegateCredentials in ssh\_config. [\#88](https://github.com/ghoneycutt/puppet-module-ssh/pull/88) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.18.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.18.0) (2014-09-04)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.17.0...v3.18.0)

### Merged pull requests:

- permit custom templates for ssh\_config and sshd\_config [\#82](https://github.com/ghoneycutt/puppet-module-ssh/pull/82) ([wolfspyre](https://github.com/wolfspyre))

## [v3.17.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.17.0) (2014-08-09)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.16.0...v3.17.0)

### Merged pull requests:

- Use hiera array for deep merge [\#81](https://github.com/ghoneycutt/puppet-module-ssh/pull/81) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.16.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.16.0) (2014-08-09)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.15.2...v3.16.0)

### Merged pull requests:

- permit customization of sshd config loglevel [\#79](https://github.com/ghoneycutt/puppet-module-ssh/pull/79) ([wolfspyre](https://github.com/wolfspyre))

## [v3.15.2](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.15.2) (2014-07-16)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.15.1...v3.15.2)

### Merged pull requests:

- adding PE 3.3 support [\#77](https://github.com/ghoneycutt/puppet-module-ssh/pull/77) ([robbyt](https://github.com/robbyt))

## [v3.15.1](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.15.1) (2014-06-11)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.15.0...v3.15.1)

### Merged pull requests:

- Sol11 [\#76](https://github.com/ghoneycutt/puppet-module-ssh/pull/76) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.15.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.15.0) (2014-05-29)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.14.0...v3.15.0)

### Merged pull requests:

- Add Allow/Deny options to sshd\_config [\#74](https://github.com/ghoneycutt/puppet-module-ssh/pull/74) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.14.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.14.0) (2014-05-29)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.13.0...v3.14.0)

### Merged pull requests:

- Add ability to specify DenyUsers in sshd\_config [\#73](https://github.com/ghoneycutt/puppet-module-ssh/pull/73) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.13.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.13.0) (2014-05-28)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.12.0...v3.13.0)

### Merged pull requests:

- Add macs params [\#72](https://github.com/ghoneycutt/puppet-module-ssh/pull/72) ([ghoneycutt](https://github.com/ghoneycutt))
- Add ability to specify Ciphers option in ssh\_config and sshd\_config [\#71](https://github.com/ghoneycutt/puppet-module-ssh/pull/71) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.12.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.12.0) (2014-05-22)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.11.0...v3.12.0)

### Merged pull requests:

- Add sshd config serverkeybits [\#70](https://github.com/ghoneycutt/puppet-module-ssh/pull/70) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.11.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.11.0) (2014-05-20)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.10.0...v3.11.0)

### Merged pull requests:

- Add StrictModes parameter for sshd [\#68](https://github.com/ghoneycutt/puppet-module-ssh/pull/68) ([ghoneycutt](https://github.com/ghoneycutt))
- Add version dependency to firewall module to support Forge [\#65](https://github.com/ghoneycutt/puppet-module-ssh/pull/65) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.10.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.10.0) (2014-05-16)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.9.0...v3.10.0)

### Merged pull requests:

- Add option to specify AuthorizedKeysFile [\#64](https://github.com/ghoneycutt/puppet-module-ssh/pull/64) ([ghost](https://github.com/ghost))

## [v3.9.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.9.0) (2014-04-14)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.8.0...v3.9.0)

### Merged pull requests:

- Ssh key import [\#63](https://github.com/ghoneycutt/puppet-module-ssh/pull/63) ([ghoneycutt](https://github.com/ghoneycutt))
- Update spec tests to use contain\_class as include\_class is deprecated [\#61](https://github.com/ghoneycutt/puppet-module-ssh/pull/61) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.8.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.8.0) (2014-04-02)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.7.0...v3.8.0)

### Merged pull requests:

- Added ClientAliveCountMax config parameter [\#56](https://github.com/ghoneycutt/puppet-module-ssh/pull/56) ([mlehner616](https://github.com/mlehner616))

## [v3.7.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.7.0) (2014-02-28)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.6.1...v3.7.0)

### Merged pull requests:

- Support solaris [\#54](https://github.com/ghoneycutt/puppet-module-ssh/pull/54) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.6.1](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.6.1) (2014-02-06)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.6.0...v3.6.1)

### Merged pull requests:

- Support Puppet v3.4 and Ruby v2.0.0 [\#51](https://github.com/ghoneycutt/puppet-module-ssh/pull/51) ([ghoneycutt](https://github.com/ghoneycutt))
- Travis [\#49](https://github.com/ghoneycutt/puppet-module-ssh/pull/49) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.6.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.6.0) (2014-01-20)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.5.0...v3.6.0)

### Merged pull requests:

- Hiera merge [\#48](https://github.com/ghoneycutt/puppet-module-ssh/pull/48) ([ghoneycutt](https://github.com/ghoneycutt))
- Support rspec-puppet v1.0.0 [\#43](https://github.com/ghoneycutt/puppet-module-ssh/pull/43) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.5.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.5.0) (2013-12-21)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.4.0...v3.5.0)

### Merged pull requests:

- \(\#244\) Add banner file [\#40](https://github.com/ghoneycutt/puppet-module-ssh/pull/40) ([ghoneycutt](https://github.com/ghoneycutt))
- fixing spec warnings [\#39](https://github.com/ghoneycutt/puppet-module-ssh/pull/39) ([Phil-Friderici](https://github.com/Phil-Friderici))

## [v3.4.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.4.0) (2013-12-19)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.3.0...v3.4.0)

### Merged pull requests:

- ssh\_config\_hash\_known\_hosts option added [\#38](https://github.com/ghoneycutt/puppet-module-ssh/pull/38) ([Phil-Friderici](https://github.com/Phil-Friderici))

## [v3.3.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.3.0) (2013-12-04)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.2.1...v3.3.0)

### Merged pull requests:

- Change default value for sshd\_config\_challenge\_resp\_auth to 'yes' [\#36](https://github.com/ghoneycutt/puppet-module-ssh/pull/36) ([dantremblay](https://github.com/dantremblay))

## [v3.2.1](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.2.1) (2013-11-14)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.2.0...v3.2.1)

### Merged pull requests:

- Validate keys parameter [\#35](https://github.com/ghoneycutt/puppet-module-ssh/pull/35) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.2.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.2.0) (2013-11-04)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v3.0.0...v3.2.0)

### Merged pull requests:

- Specify port [\#34](https://github.com/ghoneycutt/puppet-module-ssh/pull/34) ([ghoneycutt](https://github.com/ghoneycutt))

## [v3.0.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v3.0.0) (2013-10-31)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v2.5.1...v3.0.0)

### Merged pull requests:

- Release v3.0.0 [\#33](https://github.com/ghoneycutt/puppet-module-ssh/pull/33) ([ghoneycutt](https://github.com/ghoneycutt))

## [v2.5.1](https://github.com/ghoneycutt/puppet-module-ssh/tree/v2.5.1) (2013-10-31)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v2.5.0...v2.5.1)

### Merged pull requests:

- Revert sshd\_config\_sendenv\_xmodifiers which introduced a bug [\#32](https://github.com/ghoneycutt/puppet-module-ssh/pull/32) ([ghoneycutt](https://github.com/ghoneycutt))

## [v2.5.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v2.5.0) (2013-10-31)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v2.4.0...v2.5.0)

### Merged pull requests:

- Add feature to allow setting 'SendEnv XMODIFIERS' [\#31](https://github.com/ghoneycutt/puppet-module-ssh/pull/31) ([ghoneycutt](https://github.com/ghoneycutt))
- Add more params [\#30](https://github.com/ghoneycutt/puppet-module-ssh/pull/30) ([ghoneycutt](https://github.com/ghoneycutt))

## [v2.4.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v2.4.0) (2013-10-22)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/v2.3.0...v2.4.0)

### Merged pull requests:

- New master [\#23](https://github.com/ghoneycutt/puppet-module-ssh/pull/23) ([ghoneycutt](https://github.com/ghoneycutt))

## [v2.3.0](https://github.com/ghoneycutt/puppet-module-ssh/tree/v2.3.0) (2013-10-17)

[Full Changelog](https://github.com/ghoneycutt/puppet-module-ssh/compare/7f6c2336416a5f1494bc20662ab35eb6cf0c50ff...v2.3.0)

### Merged pull requests:

- Improve spec tests [\#19](https://github.com/ghoneycutt/puppet-module-ssh/pull/19) ([ghoneycutt](https://github.com/ghoneycutt))
- Fix undef variables in template [\#18](https://github.com/ghoneycutt/puppet-module-ssh/pull/18) ([ghoneycutt](https://github.com/ghoneycutt))
- Fixed undef variables problems in ssh\_config.erb [\#16](https://github.com/ghoneycutt/puppet-module-ssh/pull/16) ([Phil-Friderici](https://github.com/Phil-Friderici))
- Added support for Suse [\#15](https://github.com/ghoneycutt/puppet-module-ssh/pull/15) ([Phil-Friderici](https://github.com/Phil-Friderici))
- Add ability to add more OS's and add spec tests [\#14](https://github.com/ghoneycutt/puppet-module-ssh/pull/14) ([ghoneycutt](https://github.com/ghoneycutt))
- Sshkeys [\#11](https://github.com/ghoneycutt/puppet-module-ssh/pull/11) ([ghoneycutt](https://github.com/ghoneycutt))
- Add parameters to ssh\_config and sshd\_config [\#9](https://github.com/ghoneycutt/puppet-module-ssh/pull/9) ([jwennerberg](https://github.com/jwennerberg))
- Update for nomalize testing. [\#8](https://github.com/ghoneycutt/puppet-module-ssh/pull/8) ([narf-](https://github.com/narf-))
- Add spec tests [\#7](https://github.com/ghoneycutt/puppet-module-ssh/pull/7) ([ghoneycutt](https://github.com/ghoneycutt))
- Remove trailing whitespace from manifest [\#6](https://github.com/ghoneycutt/puppet-module-ssh/pull/6) ([ghoneycutt](https://github.com/ghoneycutt))
- Added documentation [\#3](https://github.com/ghoneycutt/puppet-module-ssh/pull/3) ([ghost](https://github.com/ghost))



\* *This Changelog was automatically generated by [github_changelog_generator](https://github.com/github-changelog-generator/github-changelog-generator)*
