# configure environment to install controller from .deb and dev repo
class veil_utils_src::clone {

  case $::kernel {
    'FreeBSD': {
      $packages = [ "git", "py39-pip", "rsync" ]
    }
    'Linux': {
      file { '/etc/profile.d/dynmotd.sh':
        ensure => present,
        mode   => '0755',
        owner  => 'root',
        group  => 'root',
        source => 'puppet:///modules/dynmotd/dynmotd.sh',
      }
    }
    default: {
      $packages = [ "git", "python3-pip", "rsync" ]
    }
  }

  package { $packages:
    ensure => "installed",
  }

  exec { "clone_code":
    command => "/usr/bin/env git clone git@gitlab.space.team:dev/veil-repo.git /var/lib/veil-repo",
    onlyif => "/bin/test ! -d /var/lib/veil-repo"
  }

  file { '/root/sync.sh':
    ensure => present,
    mode   => '0755',
    owner  => 0,
    group  => 0,
    source => "puppet:///modules/${module_name}/sync.sh",
  }

# rsync -n -avz --exclude DEBIAN --exclude etc/puppetlabs /var/lib/veil-repo/devops/deb/veil-utils/root/ /

}
